#include <windows.h>
#include <stdio.h>
#include <GL/glut.h>
#include <GL/gl.h>
#include <math.h>

void drawCircle(float r, float x, float y) {
        float i = 0.0f;     
        glBegin(GL_TRIANGLE_FAN);
        glVertex2f(x, y); // Center
        for(i = 0.0f; i <= 360; i++)
                glVertex2f(r*cos(M_PI * i / 180.0) + x, r*sin(M_PI * i / 180.0) + y);        
        glEnd();
}

void init(){
// Set display window color to as glClearColor(R,G,B,Alpha)
glClearColor(0.0, 0.0, 0.0, 0.0);
// Set projection parameters.
glMatrixMode(GL_PROJECTION);
// Set 2D Transformation as gluOrtho2D(Min Width, Max Width, Min Height, Max Height)
gluOrtho2D(0.0, 800, 0.0, 600);
}

void home(){
glClear(GL_COLOR_BUFFER_BIT); // Clear display window

//Grass
glColor3f(0.4, 0.6, 0.1);
glBegin(GL_POLYGON);
glVertex2i(0, 50);
glVertex2i(800, 50);
glVertex2i(800, 0);
glVertex2i(0, 0);
glEnd();

//Ouranos
glColor3f(0.2, 0.1, 0.8);
glBegin(GL_POLYGON);
glVertex2i(0, 600);
glVertex2i(800, 600);
glVertex2i(800, 50);
glVertex2i(0, 50);
glEnd();


// Kormoi
glColor3f(0.40, 0.2, 0.1);
glLineWidth(25);
glBegin(GL_LINES);
glVertex2i(60, 170);
glVertex2i(60, 50);
glEnd();

glLineWidth(15);
glBegin(GL_LINES);
glVertex2i(125, 85);
glVertex2i(125, 50);
glEnd();

glLineWidth(10);
glBegin(GL_LINES);
glVertex2i(760, 75);
glVertex2i(760, 50);
glEnd();

//Kaminada
glColor3f(0.1, 0.1, 0.1);
glBegin(GL_POLYGON);
glVertex2i(620, 350);
glVertex2i(650, 350);
glVertex2i(650, 450);
glVertex2i(620, 450);
glEnd();

glColor3f(0.7, 0.4, 0.2);
glBegin(GL_POLYGON);
glVertex2i(627, 450);
glVertex2i(643, 450);
glVertex2i(643, 470);
glVertex2i(627, 470);
glEnd();


//Skepi
glColor3f(0.7, 0.4, 0.2);
glBegin(GL_TRIANGLES);
glVertex2i(450, 550);
glVertex2i(700, 350);
glVertex2i(200, 350);
glEnd();


//side Wall
glColor3f(1.0, 1.0, 1.0);
glBegin(GL_POLYGON);
glVertex2i(200, 350);
glVertex2i(700, 350);
glVertex2i(700, 50);
glVertex2i(200, 50);
glEnd();

// Front Door
glColor3f(0.3, 0.1, 0.0);
glBegin(GL_POLYGON);
glVertex2i(400, 200);
glVertex2i(500, 200);
glVertex2i(500, 50);
glVertex2i(400, 50);
glEnd();

// Front Door Lock
glColor3f(0.0, 0.7, 0.9);
glPointSize(13);
glBegin(GL_POINTS);
glVertex2i(480, 115);
glEnd();

// window one
glColor3f(0.5, 0.5, 0.5);
glBegin(GL_POLYGON);
glVertex2i(240, 270);
glVertex2i(360, 270);
glVertex2i(360, 180);
glVertex2i(240, 180);
glEnd();

// line of window one
glColor3f(0.2, 0.2, 0.1);
glLineWidth(5);
glBegin(GL_LINES);
//aristera
glVertex2i(240, 275);
glVertex2i(240, 177);
//deksia
glVertex2i(360, 275);
glVertex2i(360, 177);
//panw
glVertex2i(240, 273);
glVertex2i(360, 273);
//katw
glVertex2i(240, 180);
glVertex2i(360, 180);
glEnd();

// window two
glColor3f(0.5, 0.5, 0.5);
glBegin(GL_POLYGON);
glVertex2i(530, 270);
glVertex2i(650, 270);
glVertex2i(650, 180);
glVertex2i(530, 180);
glEnd();

// line of window two
glColor3f(0.2, 0.2, 0.1);
glLineWidth(5);
glBegin(GL_LINES);
//aristera
glVertex2i(530, 275);
glVertex2i(530, 177);
//deksia
glVertex2i(650, 275);
glVertex2i(650, 177);
//panw
glVertex2i(530, 273);
glVertex2i(650, 273);
//katw
glVertex2i(530, 180);
glVertex2i(650, 180);
glEnd();


// koufwmata portas
glColor3f(0.2, 0.2, 0.1);
glLineWidth(5);
glBegin(GL_LINES);

glVertex2i(402, 200);
glVertex2i(402, 50);

glVertex2i(402, 50);
glVertex2i(502, 50);

glVertex2i(402, 200);
glVertex2i(502, 200);

glVertex2i(502, 50);
glVertex2i(502, 200);
glEnd();


//synefa
glColor3f(0.8, 0.8, 0.8);
drawCircle(50, 20, 600);
drawCircle(50, 40, 570);
drawCircle(50, 60, 600);
drawCircle(50, 80, 570);
drawCircle(50, 100, 610);
drawCircle(50, 120, 570);
drawCircle(50, 140, 580);
drawCircle(50, 160, 600);

glColor3f(1.0, 1.0, 1.0);
drawCircle(40, 20, 600);
drawCircle(40, 40, 570);
drawCircle(40, 60, 600);
drawCircle(40, 80, 570);
drawCircle(40, 100, 610);
drawCircle(40, 120, 570);
drawCircle(40, 140, 580);
drawCircle(40, 160, 600);

glColor3f(0.8, 0.8, 0.8);
drawCircle(30, 20, 600);
drawCircle(30, 40, 570);
drawCircle(30, 60, 600);
drawCircle(30, 80, 570);
drawCircle(30, 100, 610);
drawCircle(30, 120, 570);
drawCircle(30, 140, 580);
drawCircle(30, 160, 600);

glColor3f(1.0, 1.0, 1.0);
drawCircle(25, 20, 600);
drawCircle(25, 40, 570);
drawCircle(25, 60, 600);
drawCircle(25, 80, 570);
drawCircle(25, 100, 610);
drawCircle(25, 120, 570);
drawCircle(25, 140, 580);
drawCircle(25, 160, 600);

//fylla thamnwn
glColor3f(0.4, 0.6, 0.1);
//aristera
drawCircle(15, 118, 80);
drawCircle(17, 123, 100);
drawCircle(18, 130, 80);
//deksia
drawCircle(18, 760, 80);

//fylla dentrou
glBegin(GL_TRIANGLES);
glVertex2i(20, 120);
glVertex2i(60, 300);
glVertex2i(100, 120);
glEnd();
glBegin(GL_TRIANGLES);
glVertex2i(20, 160);
glVertex2i(60, 320);
glVertex2i(100, 160);
glEnd();
glBegin(GL_TRIANGLES);
glVertex2i(20, 200);
glVertex2i(60, 360);
glVertex2i(100, 200);
glEnd();
glFlush();
}

int main(int argc, char ** argv){
glutInit(&argc, argv);
glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
glutInitWindowPosition(100, 100);
glutInitWindowSize(800, 600);
glutCreateWindow("Spiti");
// Execute initialization procedure
init();
// Send graphics to display window
glutDisplayFunc(home);
// Display everything and wait.
glutMainLoop();
}